# coding: utf-8
$LOAD_PATH.push File.expand_path('../lib', __FILE__)

Gem::Specification.new do |spec|
  spec.name          = 'estuary'
  spec.version       = '0.1.3'
  spec.authors       = ['Jared Clifton']
  spec.email         = ['jaredcraigclifton@gmail.com']

  spec.summary       = 'Delegates HTTP requests to a rate limited service'
  spec.description   = 'Delegates HTTP requests to a rate limited service to ensure minimal 429'
  spec.homepage      = 'https://github.com/jclif/estuary'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.'
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'rake', '11.1.2'
  spec.add_dependency 'puma', '3.4.0'
  spec.add_dependency 'thor', '0.19.1'
end
